Subject: [CCAMP] Questions on draft-ietf-ccamp-wson-signal-compatibility-ospf

From: Alan Davey <[email-masked]>
Date: Fri, 28 Oct 2011 14:29:47 +0000

Authors

I have been reading draft-ietf-ccamp-wson-signal-compatibility-ospf and I have a couple of high level questions.  Could you please let me know your thoughts on the following.

-          Section 2 states that all sub-TLVs occur at most once in any given Optical Node TLV.  However, on referring to the TLV definitions in draft-ietf-ccamp-rwa-wson-encode it appears that some sub-TLVs may appear more than once.  For example, see section 4.2 Resource Block Wavelength Constraints sub-TLV.  I think we should remove the restriction in section 2.  Do you agree?

-          RFCs for Automatically Switched Optical Network (ASON) Routing have found it useful to add a Local TE Router sub-TLV into the top-level OSPF TE TLVs.  This is because a control plane router may be associated with multiple data plane nodes and in such a case the routing protocol must be able to associate the advertised information with the correct node.  For example, RFC5787 defines a Local TE Router sub-TLV for the Node Attribute top-level TLV.  I would like to add a Local TE Router sub-TLV to the Optical Node Property TLV, what do you think?

Regards
Alan Davey